# OTSessionSettings Class Reference

Inherits from | NSObject
Declared in | OTSession.h

## Overview

Defines settings to be used when initializing an OTSession object using the [OTSession initWithApiKey:sessionId:delegate:settings:] method.

### `connectionEventsSuppressed`

Prevent connection events (such as [OTSessionDelegate session:connectionCreated:]) from being dispatched.

`@property (nonatomic, assign) BOOL connectionEventsSuppressed`

#### Discussion

The default value is NO.

#### Declared In

`OTSession.h`

### `iceConfig`

Defines the TURN servers to be used by the client in the OpenTok session. See the configurable TURN servers developer guide.

`@property (nonatomic, strong) OTSessionICEConfig *iceConfig`

#### Declared In

`OTSession.h`

### `apiURL`

This property is deprecated. Setting it has no effect.

`@property (nonatomic, strong) NSURL *apiURL`

#### Declared In

`OTSession.h`

### `ipWhitelist`

Set this to `YES` if the allowed IP list feature is enabled for your project. (This is available as an add-on feature.) The default value is `NO`.

`@property (nonatomic, assign) BOOL ipWhitelist`

#### Declared In

`OTSession.h`

### `proxyURL`

Set this to the URL of the IP proxy server. This is available as an add-on feature. See the OpenTok pricing page and the IP proxy developer guide.

`@property (nonatomic, strong) NSString *proxyURL`

#### Declared In

`OTSession.h`

### `singlePeerConnection`

Single Peer Connection (SPC) is a feature that encapsulates all subscriber connections to a single peer connection. The benefits of enabling SPC include reduced OS resource consumption, improved rate control, and, in case of mobile native devices, support for larger sessions.

`@property (nonatomic) BOOL singlePeerConnection`

#### Discussion

SPC is disabled by default. When disabled, the session will use Multiple Peer Connection (MPC), where a separate peer connection is established between each endpoint.

#### Declared In

`OTSession.h`

### `sessionMigration`

Enables the session migration feature, allowing the client to remain connected during server rotation. The default value is `false` (session migration is not enabled). For more information, see Server Rotation and Session Migration.

`@property (nonatomic) BOOL sessionMigration`

#### Declared In

`OTSession.h`